﻿$ErrorActionPreference = 'Stop'
$packageName = $env:ChocolateyPackageName
$url = 'https://github.com/electron/electron/releases/download/v15.1.0/electron-v15.1.0-win32-ia32.zip'
$checksum = '2960b5fa65238f8275ce11b997eb3f7b73cf89a034f902b0fb5ea0dc330adcd0'
$checksumType = 'sha256'
$url64 = 'https://github.com/electron/electron/releases/download/v15.1.0/electron-v15.1.0-win32-x64.zip'
$checksum64 = 'fdb0925fd76ce1593ba3b80b0fdd120d3bb524aea67353fef2c90cc8b61788c7'
$checksumType64 = 'sha256'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

Install-ChocolateyZipPackage -PackageName "$packageName" `
                             -Url "$url" `
                             -UnzipLocation "$toolsDir" `
                             -Url64bit "$url64" `
                             -Checksum "$checksum" `
                             -ChecksumType "$checksumType" `
                             -Checksum64 "$checksum64" `
                             -ChecksumType64 "$checksumType64"
